Gentoo Archives: gentoo-commits

From: Thomas Deutschmann <whissi@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/debianutils/
Date: Sat, 23 May 2020 22:36:06
Message-Id: 1590273246.24f43ba09c1bb9a670bf5c21d3b09af20853cf39.whissi@gentoo
commit:     24f43ba09c1bb9a670bf5c21d3b09af20853cf39
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat May 23 22:34:06 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat May 23 22:34:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24f43ba0

sys-apps/debianutils: bump to v4.9.3

Ebuild changes to previous version:

- Install ischroot

Closes: https://bugs.gentoo.org/698812
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-apps/debianutils/Manifest                 |  1 +
 sys-apps/debianutils/debianutils-4.9.3.ebuild | 43 +++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/sys-apps/debianutils/Manifest b/sys-apps/debianutils/Manifest
index ed1e9da4604..39350e66644 100644
--- a/sys-apps/debianutils/Manifest
+++ b/sys-apps/debianutils/Manifest
@@ -1,4 +1,5 @@
 DIST debianutils_4.8.3.tar.xz 159292 BLAKE2B e655741f42594ff12b4f349331da57ec09073802c9778594619686c93fc3061cf5248ac8e9e2c1b391eb49dd572f3033b1db206ff43f373b17caf7f3c835111f SHA512 468b8f001c0338f166cbc2fe25079edc5feeaa38dce2f5c7e6724c691d6cb35f4843e987695e33ead557bb11887e78ff8a5e3e1f52a266a0f32fb978fa643897
 DIST debianutils_4.8.6.3.tar.xz 156672 BLAKE2B bb87e04ca80a04c8841f04c877acedb0b953d815193069bb601d17907101bb6faf11bea99251a13a7c3b9ea6fa5d27daba264ea6924e542d9b574c87b3ffbebe SHA512 c38d1d351de69f270924f05755501d90cb7245c8a3154f91ea8e38978052ffe2ec016d4400c55e2f7d31358cfe134a40c5843a33836900d7e69cce9ee8ace98e
 DIST debianutils_4.9.1.tar.xz 157516 BLAKE2B b2c8927e37448f4e45f19b4a7d2977198d2c610a203a2c8692a0592c8c8319c5dc42050b83435cb7381e30cc653911083b76717a53ac908113cc7388a4155167 SHA512 b442950febe6df9e15ec04a6fec0ee8be12d3eac38dc3f9331438d871e3382f4e0f599da0eaeff0e7e9ba0fa5136ce3c3b51c6718e4d7f11c1675f745052a9b1
+DIST debianutils_4.9.3.tar.xz 157404 BLAKE2B 527844c0bd623f3b560d544f6f041f7db7dc39c225333427bb81a5044975005b288cde58e9dfaf7f633f706f78e4ff33132c149cd6f0e918852f1170c0ae2c32 SHA512 6c5771c4737c48c9ca0cf01ad58102190d78ece41e66306a4bdf30cd7ea784a325df2a4a2b7ba371d9ba5aebaee8cf87286c423a8eff54dbfe8eb6de58eda532
 DIST debianutils_4.9.tar.xz 157104 BLAKE2B 885f37b17eba7d20b2d76a0fb1afc6ccc2d9d4926754b9ce15928f3675eba4a38fec2e9b718d61684122f3c0dc17eba0aa06677e41ac641870ffc87442353951 SHA512 4e8726cf5744dca144535883c473a04884714afd50e501a140197fee9a9a78bd9596fcc1763e71b2baf6367bc38a8111016ab5ed35f4d4e98ccc78be697ca963

diff --git a/sys-apps/debianutils/debianutils-4.9.3.ebuild b/sys-apps/debianutils/debianutils-4.9.3.ebuild
new file mode 100644
index 00000000000..ecc8cf6303d
--- /dev/null
+++ b/sys-apps/debianutils/debianutils-4.9.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="A selection of tools from Debian"
+HOMEPAGE="https://packages.qa.debian.org/d/debianutils.html"
+SRC_URI="mirror://debian/pool/main/d/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="BSD GPL-2 SMAIL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x86-linux"
+IUSE="+installkernel static"
+
+PDEPEND="
+	installkernel? (
+		|| (
+			sys-kernel/installkernel-gentoo
+			sys-kernel/installkernel-systemd-boot
+		)
+	)"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.4.2-no-bs-namespace.patch )
+
+src_configure() {
+	use static && append-ldflags -static
+	default
+}
+
+src_install() {
+	into /
+	dobin tempfile run-parts
+
+	into /usr
+	dobin ischroot
+	dosbin savelog
+
+	doman ischroot.1 tempfile.1 run-parts.8 savelog.8
+	cd debian || die
+	dodoc changelog control
+}